from odoo import http
from odoo.http import request
import base64

class SimpleFormController(http.Controller):
    @http.route('/simple-form', type='http', auth='public', website=True, csrf=False)
    def render_form(self):
        """
        Render the Simple Form page.
        """
        return request.render('rasd_forms.simple_form_page')

    @http.route('/submit_simple_form', type='http', auth='public', methods=['POST'], website=True, csrf=False)
    def submit_form(self, **post):
        """
        Handle Simple Form submission, including file uploads.
        """
        try:
            # Create the form record
            form = request.env['simple.form'].sudo().create({
                'address': post.get('address'),
            })

            # Handle file uploads
            files = request.httprequest.files.getlist('photos')
            for file in files:
                if file.filename:
                    request.env['ir.attachment'].sudo().create({
                        'name': file.filename,
                        'datas': base64.b64encode(file.read()).decode('utf-8'),
                        'res_model': 'simple.form',
                        'res_id': form.id,
                    })

            return request.render('rasd_forms.simple_form_confirmation', {'form': form})
        except Exception as e:
            return request.render('rasd_forms.simple_form_error', {'error': str(e)})
