document.addEventListener('DOMContentLoaded', function () {
    const map = L.map('map').setView([0, 0], 2);

    L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
        attribution: '&copy; OpenStreetMap contributors',
    }).addTo(map);

    const marker = L.marker([0, 0], { draggable: true }).addTo(map);

    marker.on('moveend', function (e) {
        const latLng = e.target.getLatLng();
        document.getElementById('gps_location').value = `${latLng.lat},${latLng.lng}`;
    });

    navigator.geolocation.getCurrentPosition(function (position) {
        const { latitude, longitude } = position.coords;
        map.setView([latitude, longitude], 13);
        marker.setLatLng([latitude, longitude]);
    });
});

